Index: stylesheets/lfs-xsl/docbook-xsl-1.78.1/slides/schema/relaxng/tasks.rng
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-1.78.1/slides/schema/relaxng/tasks.rng	(revision b1a51ac18a0ba70461444d4780d9fcdee3b5ce6d)
+++ stylesheets/lfs-xsl/docbook-xsl-1.78.1/slides/schema/relaxng/tasks.rng	(revision b1a51ac18a0ba70461444d4780d9fcdee3b5ce6d)
@@ -0,0 +1,170 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+  This file is part of DocBook V5.0
+  
+  Copyright 1992-2008 HaL Computer Systems, Inc.,
+  O'Reilly & Associates, Inc., ArborText, Inc., Fujitsu Software
+  Corporation, Norman Walsh, Sun Microsystems, Inc., and the
+  Organization for the Advancement of Structured Information
+  Standards (OASIS).
+  
+  Release: $Id: tasks.rnc 8931 2010-10-20 13:29:20Z nwalsh $
+  
+  Permission to use, copy, modify and distribute the DocBook schema
+  and its accompanying documentation for any purpose and without fee
+  is hereby granted in perpetuity, provided that the above copyright
+  notice and this paragraph appear in all copies. The copyright
+  holders make no representation about the suitability of the schema
+  for any purpose. It is provided "as is" without expressed or implied
+  warranty.
+  
+  If you modify the DocBook schema in any way, label your schema as a
+  variant of DocBook. See the reference documentation
+  (http://docbook.org/tdg5/en/html/ch05.html#s-notdocbook)
+  for more information.
+  
+  Please direct all questions, bug reports, or suggestions for changes
+  to the docbook@lists.oasis-open.org mailing list. For more
+  information, see http://www.oasis-open.org/docbook/.
+  
+  ======================================================================
+-->
+<grammar ns="http://docbook.org/ns/docbook" xmlns:db="http://docbook.org/ns/docbook" xmlns:s="http://purl.oclc.org/dsdl/schematron" xmlns:rng="http://relaxng.org/ns/structure/1.0" xmlns="http://relaxng.org/ns/structure/1.0">
+  <start combine="choice">
+    <choice>
+      <ref name="db.task"/>
+      <ref name="db.taskprerequisites"/>
+      <ref name="db.taskrelated"/>
+      <ref name="db.tasksummary"/>
+    </choice>
+  </start>
+  <define name="db.technical.blocks" combine="choice">
+    <ref name="db.task"/>
+  </define>
+  <define name="db.task.info">
+    <ref name="db._info.title.req"/>
+  </define>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>task</db:refname>
+    <db:refpurpose>A task to be completed</db:refpurpose>
+    <define name="db.task.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.task.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.task.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <ref name="db.common.linking.attributes"/>
+      </interleave>
+    </define>
+    <define name="db.task">
+      <element name="task">
+        <ref name="db.task.attlist"/>
+        <ref name="db.task.info"/>
+        <optional>
+          <ref name="db.tasksummary"/>
+        </optional>
+        <optional>
+          <ref name="db.taskprerequisites"/>
+        </optional>
+        <ref name="db.procedure"/>
+        <zeroOrMore>
+          <ref name="db.example"/>
+        </zeroOrMore>
+        <optional>
+          <ref name="db.taskrelated"/>
+        </optional>
+      </element>
+    </define>
+  </div>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>tasksummary</db:refname>
+    <db:refpurpose>A summary of a task</db:refpurpose>
+    <define name="db.tasksummary.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.tasksummary.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.tasksummary.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <ref name="db.common.linking.attributes"/>
+      </interleave>
+    </define>
+    <define name="db.tasksummary.info">
+      <ref name="db._info.title.only"/>
+    </define>
+    <define name="db.tasksummary">
+      <element name="tasksummary">
+        <ref name="db.tasksummary.attlist"/>
+        <ref name="db.tasksummary.info"/>
+        <oneOrMore>
+          <ref name="db.all.blocks"/>
+        </oneOrMore>
+      </element>
+    </define>
+  </div>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>taskprerequisites</db:refname>
+    <db:refpurpose>The prerequisites for a task</db:refpurpose>
+    <define name="db.taskprerequisites.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.taskprerequisites.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.taskprerequisites.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <ref name="db.common.linking.attributes"/>
+      </interleave>
+    </define>
+    <define name="db.taskprerequisites.info">
+      <ref name="db._info.title.only"/>
+    </define>
+    <define name="db.taskprerequisites">
+      <element name="taskprerequisites">
+        <ref name="db.taskprerequisites.attlist"/>
+        <ref name="db.taskprerequisites.info"/>
+        <oneOrMore>
+          <ref name="db.all.blocks"/>
+        </oneOrMore>
+      </element>
+    </define>
+  </div>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>taskrelated</db:refname>
+    <db:refpurpose>Information related to a task</db:refpurpose>
+    <define name="db.taskrelated.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.taskrelated.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.taskrelated.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <ref name="db.common.linking.attributes"/>
+      </interleave>
+    </define>
+    <define name="db.taskrelated.info">
+      <ref name="db._info.title.only"/>
+    </define>
+    <define name="db.taskrelated">
+      <element name="taskrelated">
+        <ref name="db.taskrelated.attlist"/>
+        <ref name="db.taskrelated.info"/>
+        <oneOrMore>
+          <ref name="db.all.blocks"/>
+        </oneOrMore>
+      </element>
+    </define>
+  </div>
+</grammar>
